Subject: Re: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Fri, 24 Feb 2023 17:35:20 +0200

On 24/02/2023 17:12, Eli Zaretskii wrote:
>> Date: Fri, 24 Feb 2023 16:14:31 +0200
>> Cc: Gregory Heytings<[email-masked]>,[email-masked],
>>   Eli Zaretskii<[email-masked]>
>> From: Dmitry Gutov<[email-masked]>
>>
>> The problem is in the noticeable delay between me pressing 'a' and
>> seeing the contents of the window updated.
>>
>> When the frame title doesn't change, we simply can't track it as an
>> additional symptom (that the buffer has been successfully visited, but
>> the frame display remains the same).
>>
>> But whether the title changes or not, I can easily see the delay between
>> me pressing 'a' and the contents of the window being updated. Or its
>> absence.
> So now you are saying that the changing title of the frame is_not_
> the cause of the problem?  You are now saying that the delay_always_
> happens, and that the change in the frame's title just makes it easier
> to spot that delay?

I just said that unchanging title doesn't stop me from seeing the delay 
when there is, in fact, a delay.

> So when you earlier wrote that a constant frame title makes the
> problem disappear, you were mistaken, and the constant title just
> makes the problem harder to spot?  And the delay exists no matter
> whether the frame's title changes or not?

No, I stand by the earlier assessment. Sorry if some of the phrasing was 
confusing.